Retrieve Pre-scan Configuration Status
GET/targets/:id/pre-scan-configuration/
Returns the current pre-flight scan configuration status.
Request
Path Parameters
Responses
- 200
- 403
- 404
- application/json
- Schema
- Example (from schema)
Schema
canceled- Canceledcanceling- Cancelingcompleted- Completedcompleted_with_errors- Completed with errors - DEPRECATEDfailed- Failedpaused- Pausedpausing- Pausingqueued- Queuedresuming- Resumingstarted- Startedunder_review- Under Reviewfinishing_up- Finishing upArray [
]
Array [
]
Array [
]
Array [
]
Array [
]
Possible values: [canceled, canceling, completed, completed_with_errors, failed, paused, pausing, queued, resuming, started, under_review, finishing_up]
Status of the scan:
Date and time of when the scan started.
Date and time of when the scan was completed.
Total time from the start of the scan to its completion, or to the moment of the query, if not completed. For example, "02 00:00:10.123456".
crawler
object
required
State of the crawler execution.
For example, "started" or "ended".
List with two numbers where the first is the crawled URLs and the second is the total of URLs to crawl.
warning
object[]
required
List of warnings occurred during the crawler execution.
Warning code.
Warning message.
error
object[]
required
List of errors occurred during the crawler execution.
full_status
object
nullable
Detailed information on the crawler execution.
Type of information.
When present, the value is "feedback".
Internal information.
Internal information.
Timestamp of the crawler execution.
Sub-type of the type of information.
The value is "status".
Stage of the scan.
The value is "crawler".
Module of the crawler that is executing.
data
object
required
Further details on the crawler execution.
Type of information.
When present, the value is "feedback".
Number of requests with timeouts during the crawler execution.
Number of failed login attempts during the crawler execution.
Version number.
Number of network errors during the crawler execution.
If true, the crawler is currently trying to log in to the target.
Number of URLs crawled.
Number of URLs deduplicated during the crawler execution.
Total number of URLs to crawl.
List of extra hosts.
crawlingEndpoints
object[]
List of details about endpoints currently being crawled.
Identifier of the crawler job.
HTTP response status code for the crawler request.
HTTP method of the crawler request.
URL of the crawler request.
lastLogin
object[]
List of the last logins.
Status of the login attempt.
Timestamp of the login attempt.
status
object
Object with all HTTP response codes obtained during the crawler execution and how many of each.
Object with all HTTP response codes obtained during the crawler execution and how many of each.
outOfScopeHostsCount
object
List of URLs out of the target's scope and the number of times the crawler hit them.
List of URLs out of the target's scope and the number of times the crawler hit them.
List of all hostnames to crawl.
lastCrawledEndpoints
object[]
List of the last crawled URLs.
Identifier of the crawler job.
HTTP response status code for the crawler request.
HTTP method of the crawler request.
URL of the crawler request.
statusByHost
object
List of HTTP response codes obtained during the crawler execution and how many of each, grouped by hostname.
List of HTTP response codes obtained during the crawler execution and how many of each, grouped by hostname.
{
"status": "canceled",
"started": "2024-07-29T15:51:28.071Z",
"completed": "2024-07-29T15:51:28.071Z",
"duration": "string",
"crawler": {
"state": "string",
"status": [
0
],
"warning": [
{
"code": "string",
"message": "string"
}
],
"error": [
{
"code": "string",
"message": "string"
}
],
"full_status": {
"type": "string",
"iid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"aid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"ts": 0,
"subtype": "string",
"stage": "string",
"module": "string",
"data": {
"type": "string",
"countTimeoutEndpoints": 0,
"countLoginFailed": 0,
"version": 0,
"countNetworkErrorEndpoints": 0,
"doingLogin": true,
"done": 0,
"rejected": 0,
"total": 0,
"allExtraHosts": [
"string"
],
"crawlingEndpoints": [
{
"jobId": 0,
"status": 0,
"method": "string",
"url": "string"
}
],
"lastLogin": [
{
"status": "string",
"timestamp": 0
}
],
"status": {},
"outOfScopeHostsCount": {},
"allHostnames": [
"string"
],
"lastCrawledEndpoints": [
{
"jobId": 0,
"status": 0,
"method": "string",
"url": "string"
}
],
"statusByHost": {}
}
}
},
"login_video": "string",
"target_response": "string"
}
- application/json
- Schema
- Example (from schema)
Schema
{
"detail": "You do not have permission to perform this action."
}
- application/json
- Schema
- Example (from schema)
Schema
{
"detail": "Not found."
}